| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.StructuredMesh2d3d Class Reference

2D structured mesh in 3D. More...

Inheritance diagram for IG.Num.StructuredMesh2d3d:
[legend]
Collaboration diagram for IG.Num.StructuredMesh2d3d:
[legend]

## Public Member Functions
| StructuredMesh2d3d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description. More...
| StructuredMesh2d3d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMesh2d3d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMesh2d3d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMesh2d3d (int dimx, int dimy, string fieldName, string fieldDescription, double minx, double maxx, double miny, double maxy)
| Constructs a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes, with specified name and description. Array of elements is allocated. More...
| StructuredMesh2d3d (int dimx, int dimy, string fieldName, string fieldDescription, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Constructs a 2D structured grid embedded in 3D by transformation of co-ordinates of a regular equidistant grid in XY plane. Array of elements is allocated. More...
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes and equidistant nodes in all directions. More...
void | GenerateCoordinates (double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of the structured 2D mesh embedded in 3D for a parametric surface according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 2 variables. More...
Public Member Functions inherited from IG.Num.StructuredMesh2d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >
| StructuredMesh2d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description. More...
| StructuredMesh2d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMesh2d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMesh2d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
TIndexField | GetIndexField (string name)
| Returns index field with the specified name. More...
TIndexField | GetIndexField (int index)
| Returns the index field with the specified index. More...
virtual TIndexField | CreateIndexField (string fieldName, string fieldDescription)
| Creates and returns a new index field of dimensions that match dimensions of the current structured mesh, and with specified name and description. More...
TIndexField | AddIndexField (string fieldName, string fieldDescription)
| Creates a new index field of dimensions that match dimensions of the current 2D structuredmesh, and specified with name and description, and adds it to the current collection. More...
void | AddIndexField (TIndexField field, string name)
| Adds the specified index field to the collection of index fields under the specified name. More...
void | AddIndexField (TIndexField field)
| Adds the specified index field to the collection of index fields. More...
void | RemoveIndexField (string fieldName)
| Removed the field with the specified name from the current field collection. More...
TScalarField | GetScalarField (string name)
| Returns scalar field with the specified name. More...
TScalarField | GetScalarField (int index)
| Returns the scalar field with the specified index. More...
virtual TScalarField | CreateScalarField (string fieldName, string fieldDescription)
| Creates and returns a new scalar field of dimensions that match dimensions of the current structured mesh, and with specified name and description. More...
TScalarField | AddScalarField (string fieldName, string fieldDescription)
| Creates a new scalar field of dimensions that match dimensions of the current 2D structuredmesh, and specified with name and description, and adds it to the current collection. More...
void | AddScalarField (TScalarField field, string name)
| Adds the specified scalar field to the collection of scalar fields under the specified name. More...
void | AddScalarField (TScalarField field)
| Adds the specified scalar field to the collection of scalar fields. More...
void | RemoveScalarField (string fieldName)
| Removed the field with the specified name from the current field collection. More...
TVectorField | GetVectorField (string name)
| Returns vector field with the specified name. More...
TVectorField | GetVectorField (int index)
| Returns the vector field with the specified index. More...
virtual TVectorField | CreateVectorField (string fieldName, string fieldDescription)
| Creates and returns a new vector field of dimensions that match dimensions of the current structured mesh, and with specified name and description. More...
TVectorField | AddVectorField (string fieldName, string fieldDescription)
| Creates a new vector field of dimensions that match dimensions of the current 2D structuredmesh, and specified with name and description, and adds it to the current collection. More...
void | AddVectorField (TVectorField field, string name)
| Adds the specified vector field to the collection of vector fields under the specified name. More...
void | AddVectorField (TVectorField field)
| Adds the specified vector field to the collection of vector fields. More...
void | RemoveVectorField (string fieldName)
| Removed the field with the specified name from the current field collection. More...
TTensorField | GetTensorField (string name)
| Returns tensor field with the specified name. More...
TTensorField | GetTensorField (int index)
| Returns the tensor field with the specified index. More...
virtual TTensorField | CreateTensorField (string fieldName, string fieldDescription)
| Creates and returns a new tensor field of dimensions that match dimensions of the current structured mesh, and with specified name and description. More...
TTensorField | AddTensorField (string fieldName, string fieldDescription)
| Creates a new tensor field of dimensions that match dimensions of the current 2D structuredmesh, and specified with name and description, and adds it to the current collection. More...
void | AddTensorField (TTensorField field, string name)
| Adds the specified tensor field to the collection of tensor fields under the specified name. More...
void | AddTensorField (TTensorField field)
| Adds the specified tensor field to the collection of tensor fields. More...
void | RemoveTensorField (string fieldName)
| Removed the field with the specified name from the current field collection. More...
Public Member Functions inherited from IG.Num.StructuredMeshGeometry2d< TCoord >
| StructuredMeshGeometry2d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description. More...
| StructuredMeshGeometry2d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMeshGeometry2d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredMeshGeometry2d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
Public Member Functions inherited from IG.Num.StructuredField2d< TElement >
| StructuredField2d ()
| Constructs a new empty 2D field (no elements contained) with no name and no description. More...
| StructuredField2d (int dim1, int dim2)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredField2d (int dim1, int dim2, string fieldName)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
| StructuredField2d (int dim1, int dim2, string fieldName, string fieldDescription)
| Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated. More...
int | GetIndex (int i1, int i2)
| Returns the linear index of the component that is identified by 2 separate indices. More...
void | getIndices (int index, out int i1, out int i2)
| Converts linear (contiguous) index to 2 separate indices for 2 dimensions. More...
virtual void | SetDimensions (int d1, int d2)
| Sets all three dimensions of the current 2D structured field. More...
Public Member Functions inherited from IG.Num.Field< TElement >
| Field ()
| Constructs a new empty field (no elements contained) with no name and no description. More...
| Field (int numElements)
| Creates a new field with the specified number of elements. More...
| Field (int numElements, string fieldName)
| Constructs a new field with the specified number of elements and name. More...
| Field (int numElements, string fieldName, string fieldDescription)
| Constructs a new field with the specified number of elements, name and description. Table of elements is allocated. More...
virtual void | SetLength (int newLength)
| Sets the length of the current field to the specified value. More...
TElement | GetValue (int index)
| Returns element of the field at the specified index. More...
void | SetValue (int index, TElement value)
| Sets the element at the specified index to the specified value. More...

## Additional Inherited Members
Static Public Member Functions inherited from IG.Num.StructuredField2d< TElement >
static void | MapCoordinatesPlain (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinates (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinatesReferencePlain (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane. More...
static void | MapCoordinatesReference (StructuredField2d< vec3 > referenceField, StructuredField2d< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping first two coordinate components of reference grid nodes by the specified scalar functions of two variables. This method is specialized for transforming coordinates of a reference grid that lies in the XY plane. More...
static void | MapCoordinatesToScalarsPlain (StructuredField2d< vec3 > referenceField, StructuredField2d< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (StructuredField2d< vec3 > referenceField, StructuredField2d< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 2D structured grid embedded in 3D space from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinates (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid embeddes in 3D, lying on the XY plane, with grid directions parallel to first two coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes. More...
static void | GenerateCoordinates (StructuredField2d< vec3 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 2D structured grid embedded in 3D by mapping nodes of a regular 2D structured grid lying on the XY plane with grid directions parallel to the first two coordinate axes. More...
static void | MapCoordinatesPlain (StructuredField2d< vec2 > referenceField, StructuredField2d< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinates (StructuredField2d< vec2 > referenceField, StructuredField2d< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping coordinates of a reference grid by the specified scalar functions that map coordinate vectors from the reference domain to individual coordinate components in the actual domain. More...
static void | MapCoordinatesToScalarsPlain (StructuredField2d< vec2 > referenceField, StructuredField2d< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (StructuredField2d< vec2 > referenceField, StructuredField2d< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D structured grid from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinates (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D regular grid, with grid directions parallel to coordinate axes and equidistantly arranged nodes in both directions. More...
static void | GenerateCoordinatesPlain (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes. More...
static void | GenerateCoordinates (StructuredField2d< vec2 > field, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 2D structured grid by mapping nodal coordinates of a regular 2D structured grid with grid directions parallel to coordinate axes. More...
Static Public Member Functions inherited from IG.Num.Field< TElement >
static void | UpdateBounds (Field< double > field, IBoundingBox bounds, int componentIndex)
| Updates the specified component of the specified bounds (object of type IBoundingBox) in such a way that all elements of the specified field will fit within the bounds. More...
static void | UpdateBounds< TEl > (Field< TEl > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all non-null vectors on the specified field will fit within the bounds. More...
static void | UpdateBounds (Field< vec3 > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all 3D vector elements of type vec3 of the specified field will fit within the bounds. More...
static void | MapCoordinatesPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 scalar functions of 3 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 3 scalar functions of 3 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates2dPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. Mapping functions act only on the first two coordinates of each point. More...
static void | MapCoordinates2d (Field< vec3 > referenceField, Field< vec3 > targetField, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 3 scalar functions of 2 variables that map the first two coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates1dPlain (Field< vec3 > referenceField, Field< vec3 > targetField, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 functions of 1 variable that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinates1d (Field< vec3 > referenceField, Field< vec3 > targetField, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 3 functions of 1 variable that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinatesToScalarsPlain (Field< vec3 > referenceField, Field< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 3D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (Field< vec3 > referenceField, Field< double > targetScalarField, IFunc3d scalarMap)
| Generates scalar values for a 3D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 3 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinatesPlain (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates (Field< vec3 > field, int dimx, int dimy, int dimz, double minxRef, double maxxRef, double minyRef, double maxyRef, double minzRef, double maxzRef, IFunc3d fx, IFunc3d fy, IFunc3d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | UpdateBounds (Field< vec2 > field, IBoundingBox bounds)
| Updates the specified bounds (object of type IBoundingBox) in such a way that all 2D vector elements of type vec2 of the specified field will fit within the bounds. More...
static void | MapCoordinatesPlain (Field< vec2 > referenceField, Field< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a set of unstructured 3D points (point cloud) from a reference set according to 2 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates (Field< vec2 > referenceField, Field< vec2 > targetField, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a set of unstructured points (point cloud) from a reference set according to 2 scalar functions of 2 variables that map coordinates of the reference points to components of the mapped points. More...
static void | MapCoordinates1dPlain (Field< vec2 > referenceField, Field< vec2 > targetField, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a set of unstructured 2D points (point cloud) from a reference set according to 2 functions of 1 variables that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinates1d (Field< vec2 > referenceField, Field< vec2 > targetField, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a set of unstructured 2D points (point cloud) from a reference set according to 2 functions of 1 variables that map the first coordinate of the reference points to components of the mapped points. More...
static void | MapCoordinatesToScalarsPlain (Field< vec2 > referenceField, Field< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | MapCoordinatesToScalars (Field< vec2 > referenceField, Field< double > targetScalarField, IFunc2d scalarMap)
| Generates scalar values for a 2D unstructured set fo points from the specified field of grid coordinates by a specified scalar function of 2 variables that maps coordinates to scalar values. More...
static void | GenerateCoordinatesPlain (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 3D unstructured grid from a regular grid with grid directions parallel to coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinatesPlain (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates2dPlain (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D unstructured grid embedded in 3D from a regular grid with grid directions parallel to the first two coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates2d (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef)
| Generates coordinates of a 2D unstructured grid embedded in 3D from a regular grid with grid directions parallel to the first two coordinate axes and equidistantly arranged nodes in all directions. More...
static void | GenerateCoordinates2dPlain (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates2d (Field< vec3 > field, int dimx, int dimy, double minxRef, double maxxRef, double minyRef, double maxyRef, IFunc2d fx, IFunc2d fy, IFunc2d fz)
| Generates coordinates of a 3D unstructured grid of a parametric volume according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 3 variables. More...
static void | GenerateCoordinates1dPlain (Field< vec3 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid from a regular grid with grid direction parallel to X coordinate axes and equidistantly arranged nodes. More...
static void | GenerateCoordinates1d (Field< vec3 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid from a regular grid with grid direction parallel to X coordinate axis and equidistantly arranged nodes. More...
static void | GenerateCoordinates1dPlain (Field< vec3 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a 1D unstructured grid of a parametric curve according to functions specifying the x, y, and z coordinates in terms of three functions of 1 variable. More...
static void | GenerateCoordinates1d (Field< vec3 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy, IRealFunction fz)
| Generates coordinates of a 1D unstructured grid of a parametric curve according to functions specifying the x, y, and z coordinates in terms of three functions of 1 variables. More...
static void | GenerateCoordinates1dPlain (Field< vec2 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid embedded in 2D space from a regular grid with grid direction parallel to X coordinate axes and equidistantly arranged nodes. More...
static void | GenerateCoordinates (Field< vec2 > field, int dimx, double minxRef, double maxxRef)
| Generates coordinates of a 1D unstructured grid embedded in 2D space from a regular grid with grid direction parallel to X coordinate axis and equidistantly arranged nodes. More...
static void | GenerateCoordinates1dPlain (Field< vec2 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a 1D unstructured grid embedded in 2D space of a parametric curve according to functions specifying the x, and y coordinates in terms of 2 functions of 1 variable. More...
static void | GenerateCoordinates1d (Field< vec2 > field, int dimx, double minxRef, double maxxRef, IRealFunction fx, IRealFunction fy)
| Generates coordinates of a 1D unstructured grid embedded in 2D space of a parametric curve according to functions specifying the x, and y coordinates in terms of 2 functions of 1 variable. More...
static void | Example ()
Protected Attributes inherited from IG.Num.Field< TElement >
TElement[] | _values
Properties inherited from IG.Num.StructuredMesh2d< TCoord, TIndexField, TIndex, TScalarField, TScalar, TVectorField, TVector, TTensorField, TTensor >
FieldCollection2d< TIndexField, TIndex > | IndexFields`[get]`
| Gets the collection of index fields of the current mesh. More...
TIndexField | ActiveIndexField`[get, protected set]`
| Gets active index field. Has protected setter. More...
string | ActiveIndexFieldName`[get, set]`
| Gets or sets name of the currently active index field. This determines the currently active index field. More...
int | NumIndexFields`[get]`
| Gets the number of index fields. More...
FieldCollection2d < TScalarField, TScalar > | ScalarFields`[get]`
| Gets the collection of scalar fields of the current mesh. More...
TScalarField | ActiveScalarField`[get, protected set]`
| Gets active scalar field. Has protected setter. More...
string | ActiveScalarFieldName`[get, set]`
| Gets or sets name of the currently active scalar field. This determines the currently active scalar field. More...
int | NumScalarFields`[get]`
| Gets the number of scalar fields. More...
FieldCollection2d < TVectorField, TVector > | VectorFields`[get]`
| Gets the collection of vector fields of the current mesh. More...
TVectorField | ActiveVectorField`[get, protected set]`
| Gets active vector field. Has protected setter. More...
string | ActiveVectorFieldName`[get, set]`
| Gets or sets name of the currently active vector field. This determines the currently active vector field. More...
int | NumVectorFields`[get]`
| Gets the number of vector fields. More...
FieldCollection2d < TTensorField, TTensor > | TensorFields`[get]`
| Gets the collection of tensor fields of the current mesh. More...
TTensorField | ActiveTensorField`[get, protected set]`
| Gets active tensor field. Has protected setter. More...
string | ActiveTensorFieldName`[get, set]`
| Gets or sets name of the currently active tensor field. This determines the currently active tensor field. More...
int | NumTensorFields`[get]`
| Gets the number of tensor fields. More...
Properties inherited from IG.Num.StructuredMeshGeometry2d< TCoord >
virtual TCoord[] | Coordinates`[get, set]`
| Array of coordinates. More...
Properties inherited from IG.Num.StructuredField2d< TElement >
TElement | this[int i1, int i2]`[get, set]`
| Returns element of the field at specified indices. More...
int | Dim1`[get, set]`
| Returns the first dimenson of the structured mesh (number of mesh points in the first direction). More...
int | Dim2`[get, set]`
| Returns the second dimenson of the structured mesh (number of mesh points in the second direction). More...
Properties inherited from IG.Num.Field< TElement >
string | Name`[get, set]`
| Name of the field. More...
string | Description`[get, set]`
| Description of the field. More...
virtual TElement[] | Values`[get, protected set]`
| Array of field values. More...
int | Length`[get, protected set]`
| Number of elements. More...
TElement | this[int index]`[get, set]`
| Access to elements through element index. More...

## Detailed Description

2D structured mesh in 3D.

Grid is 2D but it is embedded in 3D space. Type used for co-ordinates is vec3.

$A Igor Jan08 Mar09 Oct11;

## Constructor & Destructor Documentation

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( |  | ) |
| inline

Constructs a new empty 2D field (no elements contained) with no name and no description.

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).
  fieldName | Name of the field.

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( | int | dim1,
|  | int | dim2,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline

Constructs a new 2D field with the specified dimensions, name and description. Table of elements is allocated.

Elements of the field are arranged in a 2D structured grid.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | First dimension of the field (number of grid nodes in the first direction).
  fieldName | Name of the field.
  fieldDescription | Field description.

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( | int | dimx,
|  | int | dimy,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minx,
|  | double | maxx,
|  | double | miny,
|  | double | maxy
| ) |  |
| inline

Constructs a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes, with specified name and description. Array of elements is allocated.

Parameters

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minx | Minimal value of x coordinate of the generated grid.
  maxx | Maximal value of x coordinate of the generated grid.
  miny | Minimal value of y coordinate of the generated grid.
  maxy | Maximal value of y coordinate of the generated grid.

IG.Num.StructuredMesh2d3d.StructuredMesh2d3d | ( | int | dimx,
|  | int | dimy,
|  | string | fieldName,
|  | string | fieldDescription,
|  | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline

Constructs a 2D structured grid embedded in 3D by transformation of co-ordinates of a regular equidistant grid in XY plane. Array of elements is allocated.

Parameters

  dimx | First dimension of the field (number of grid nodes in the first direction).
  dimy | Second dimension of the field.
  fieldName | Name of the field.
  fieldDescription | Field description.
  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.
  fx | Function that maps first two node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps first two node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps first two node coordinates of the reference grid to the third node coordinates of the actual grid.

## Member Function Documentation

void IG.Num.StructuredMesh2d3d.GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef
| ) |  |
| inline

Generates coordinates of a 2D regular grid in 3D on the XY plane with grid directions parallel to coordinate axes and equidistant nodes in all directions.

Parameters

  minxRef | Minimal value of x coordinate of the generated grid.
  maxxRef | Maximal value of x coordinate of the generated grid.
  minyRef | Minimal value of y coordinate of the generated grid.
  maxyRef | Maximal value of y coordinate of the generated grid.

void IG.Num.StructuredMesh2d3d.GenerateCoordinates | ( | double | minxRef,
|  | double | maxxRef,
|  | double | minyRef,
|  | double | maxyRef,
|  | IFunc2d | fx,
|  | IFunc2d | fy,
|  | IFunc2d | fz
| ) |  |
| inline

Generates coordinates of the structured 2D mesh embedded in 3D for a parametric surface according to functions specifying the x, y, and z coordinates in terms of three scalar functions of 2 variables.

Coordinates are obtained by transforming individual coordinates of a regular equidistant grid lying on XY plane from the reference system.

Parameters

  minxRef | Lower bound for the first parameter in the reference coordinate system.
  maxxRef | Upper bound for the first parameter in the reference coordinate system.
  minyRef | Lower bound for the second parameter in the reference coordinate system.
  maxyRef | Upper bound for the second parameter in the reference coordinate system.
  fx | Function that maps first two node coordinates of the reference grid to the first node coordinates of the actual grid.
  fy | Function that maps first two node coordinates of the reference grid to the second node coordinates of the actual grid.
  fz | Function that maps first two node coordinates of the reference grid to the third node coordinates of the actual grid.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/meshing/StructuredMesh2d3d.cs